Update a user
PUT/api/users/:userId
Requires admin token. Update a user in the Ownli System.
Request
Path Parameters
- application/json
Body
required
Array [
]
User's First Name.)
User's Last Name.
User's Email.
Has the user's email been verified by the partner?
Cell Phone Number of the User.
Has the user's phone been verified by the partner?
Custom Field 1
Custom Field 2
Custom Field 3
Custom Field 4
Custom Field 5
address
object
Address
Street Address
City
2 Letter State Code (eg. AL, CA, CO etc.
2 Letter Country Code. Must be US.
Zipcode
policyAddress
object
Address
Street Address
City
2 Letter State Code (eg. AL, CA, CO etc.
2 Letter Country Code. Must be US.
Zipcode
additionalDrivers
object[]
Possible values: <= 10
Additional drivers (max 10). Omit to leave them unchanged; send [] to remove them all; a list replaces them. Use /api/users/{userId}/drivers to change one driver at a time.
Possible values: <= 100 characters
Driver's middle name.
Date of birth as yyyy-MM-dd.
Possible values: <= 100 characters
Gender, free text (e.g. Male, Female, Non-binary).
Possible values: <= 100 characters
Marital status, free text (e.g. Single, Married).
Possible values: <= 100 characters
Relationship to the primary insured, free text (e.g. Spouse, Child).
Possible values: <= 50 characters
Driver's license number.
2 letter code of the state that issued the license.
Possible values: <= 100 characters
Education, free text.
Possible values: <= 100 characters
Occupation, free text.
Possible values: <= 100 characters
Driver's first name. (Required)
Possible values: <= 100 characters
Driver's last name. (Required)
Responses
- 200
- 400
- 401
- 404
- 409
- 500
The updated user object.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Unique Id for the user
User's first name
User's last name
User's email address
User's cell phone number
Internal admin note
The user's id in the partner's remote/login system, if the user was created via the external-reference endpoint. Null otherwise.
Custom Field 1
Custom Field 2
Custom Field 3
Custom Field 4
Custom Field 5
address
object
Street Address Line 1
Street Address Line 2
City
2 Letter State Code
2 Letter Country Code
Zip
policyAddress
object
Street Address Line 1
Street Address Line 2
City
2 Letter State Code
2 Letter Country Code
Zip
additionalDrivers
object[]
Additional drivers, in the order they were added. Single-user endpoints: always a list, empty ([]) if the user has none. User lists: always null (not loaded); fetch the user by id to get them.
Driver id. Use it with PUT/DELETE /api/users/{userId}/drivers/{driverId}.
First name
Middle name
Last name
Date of birth, yyyy-MM-dd
Gender
Marital status
Relationship to the primary insured
Driver's license number
2 letter code of the state that issued the license
Education
Occupation
policyInfo
object
Policy
Policy Number
Start Date
End Date
Possible values: [None, Accepted, Declined]
User's answer to terms of service for sharing data with Partner. (Only valid for certain partners)
A code generated for the user to share with Partner. (Only valid for certain partners)
Time at which user was registered on the system
Last updated timestamp
{
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"adminNote": "string",
"externalReference": "string",
"customField1": "string",
"customField2": "string",
"customField3": "string",
"customField4": "string",
"customField5": "string",
"address": {
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string"
},
"policyAddress": {
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string"
},
"additionalDrivers": [
{
"id": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"dateOfBirth": "string",
"gender": "string",
"maritalStatus": "string",
"relationshipToInsured": "string",
"driversLicense": "string",
"driversLicenseState": "string",
"education": "string",
"occupation": "string"
}
],
"policyInfo": {
"policyNumber": "string",
"startDate": "string",
"endDate": "string"
},
"tosAnswer": "None",
"partnerCode": "string",
"dateRegistered": "string",
"updated": "string",
"emailVerified": true,
"phoneVerified": true,
"fraud": true
}
Invalid parameters or invalid state code passed in address. Possible error codes
-
ERROR_INVALID_STATE_CODE
-
ERROR_INVALID_PARAMETERS
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Authorization error e.g. due to an invalid or missing API keys.
User not found. Possible error codes
-
ERROR_USER_NOT_FOUND
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
User exists with phone or email. Possible error codes
-
ERROR_USER_ALREADY_EXISTS
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}